## Install and Running:
1. Copy ```.env.example``` to ```.env```
2. Replace ```.env``` values according to your environment 
3. Run
```
npm install
```
4. Install Sequelize CLI as global with:
```
npm install -g sequelize-cli
```
With this, you can run Sequelize on CLI. This is necessary for migrating db.
5. Create database on Postgres
6. Migrate database with
```
sequelize db:migrate
```
5. To start backend server, run
```
npm start
```
To run test, run
```
npm test
```
6. Do work. Any changes in the backend will be automatically updated. No more turning the server on and off again! :)
7. Good luck have fun!